<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title></title>
  <meta name="description" content="">
  <script src="./node_modules/jquery/dist/jquery.min.js">
  </script>
  <script src="./node_modules/underscore/underscore-min.js">
  </script>
  <script src="./node_modules/backbone/backbone-min.js">
  </script>
</head>

<body>

  <script>
    var Todo = Backbone.Model.extend({
      defaults: {
        title: '',
        completed: false
      }
    });
    var myTodo = new Todo();
    myTodo.set({
      title: 'Buy some cookies',
      completed: true
    });
    myTodo.on({
      'change:title': titleChanged,
      'change:completed': stateChanged
    });
    myTodo.set({
      title: 'Buy some cookies',
      completed: false
    });
    myTodo.set({
      title: 'Get the groceries'
    });
    // The title was changed!

    function titleChanged() {
      console.log('The title was changed!');
    }

    function stateChanged() {
      console.log('The state was changed!');
    }
  </script>


</body>

</html>